Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Updated: 2010-10-20 Due date:
Has patch:
Affected Flow version:
Subject: Restructure Class structure in Fluid Core
Description

I propose to change the Fluid Core classes like that:

Core/
    ViewHelper/
        Facets/
        AbstractViewHelper
        TagBasedViewHelper
        TagBuilder
        ViewHelperContext
        ViewHelperException?
        ViewHelperInterface
        ViewHelperArguments -> Arguments?
    Parser/
        SyntaxTree/
        ParsedTemplateInterface
        ParsingException?
        ParsingState
        TemplateParser

This changes the following public API classes:
Core\TemplateParser -> Core\Parser\TemplateParser.

Associated revisions
Revision 4fd18e87 - 2009-05-18 22:02 - Sebastian Kurfuerst
Fluid:
    -  Restructuring node architecture (fixes #3359)

History
#1 - 2009-05-18 09:49 - Bastian Waidelich

So you would have:

Core/
    ViewHelper/
        Facets/
            ChildNodeAccessFacet
            PostParseInterface
        AbstractViewHelper
        TagBasedViewHelper
        TagBuilder
        ViewHelperContext
        ViewHelperException?
        ViewHelperInterface
        ViewHelperArguments -> Arguments?
    Parser/
        SyntaxTree/
            AbstractNode
            ArrayNode
            ObjectAccessorNode
            RootNode
            TextNode
            ViewHelperNode
        ParsedTemplateInterface
        ParsingException?
        ParsingState
        TemplateParser
View/
    [...]
ViewHelpers/
    [...]
Exception
Fluid

correct?

Seems good to me!
I'd rename ViewHelper/ViewHelperException to ViewHelper/Exception, ViewHelper/ViewHelperArguments to ViewHelper/Arguments and 
Parser/ParsingException to Parser/Exception

#2 - 2009-05-18 23:01 - Sebastian Kurfuerst
- Category set to 444
- Status changed from New to Resolved
- % Done changed from 0 to 100

fixed :
